Subject: Re: [PATCH net v3] net: openvswitch: fix race on port output

From: Simon Horman <[email-masked]>
Date: Fri, 7 Apr 2023 11:31:06 +0200

On Fri, Apr 07, 2023 at 10:44:35AM +0200, Simon Horman wrote:
> On Thu, Apr 06, 2023 at 07:05:13PM -0700, Jakub Kicinski wrote:
> > On Wed, 5 Apr 2023 07:53:41 +0000 Felix Huettner wrote:
> > > assume the following setup on a single machine:
> > > 1. An openvswitch instance with one bridge and default flows
> > > 2. two network namespaces "server" and "client"
> > > 3. two ovs interfaces "server" and "client" on the bridge
> > > 4. for each ovs interface a veth pair with a matching name and 32 rx and
> > >    tx queues
> > > 5. move the ends of the veth pairs to the respective network namespaces
> > > 6. assign ip addresses to each of the veth ends in the namespaces (needs
> > >    to be the same subnet)
> > > 7. start some http server on the server network namespace
> > > 8. test if a client in the client namespace can reach the http server
> > 
> > Hi Simon, looks good?
> 
> Thanks Jakub, will check.

Yes, this does look good to me.

Reviewed-by: Simon Horman <[email-masked]>

nit: somewhere in the patch description, 'inifinite' -> 'infinite'